import { RestPathParams } from './RestRequestParams';
import { RestRequestBody } from './RestRequestBody';
import { RestResponseBody } from './RestResponseBody';
import { RestQueryParams } from './RestQueryParams';
import { RestRequestBaseHeaders, RestRequestHeaders } from './RestRequestHeaders';
import { RestApiRequest } from './RestApiRequest';
import { RestApiResponse } from './RestApiResponse';
export type RestApiRequestHandler<PathParams extends RestPathParams, QueryParams extends RestQueryParams, RequestHeaders extends RestRequestHeaders & RestRequestBaseHeaders, RequestBody extends RestRequestBody, ResponseBody extends RestResponseBody> = (request: RestApiRequest<PathParams, QueryParams, RequestHeaders, RequestBody>) => Promise<RestApiResponse<ResponseBody>>;
